Packages - Freedom Issue #3278

[mesa] Software patent avoidance
2022-05-06 04:27 PM - gap

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

| believe the latest version of mesa has new Meson options to add/remove support for patented codecs at build-time:
https://gitlab.freedesktop.org/mesa/mesa/-/blob/main/meson_options.txt

In general, has an effort been made to avoid patented codecs system-wide, or should | open a new ticket tracking this progress?

| think we might also need help from the FSF legal team to sort out issues relating to exactly what is patented and what is libre (ie.
the patents are expired, or sometimes only cover encoding/decoding but not both).

History

#1 - 2022-05-07 10:45 AM - nona

gap: you keep creating bug reports on things which should (at most) be on the forum, not the bug tracker

#2 - 2022-05-07 04:30 PM - gap

Are you sure?
I've only been reporting things that have precedent for being issues in the past.

If I'm in the wrong I'll be happy to move the discussions to the forum.

#3 - 2022-09-28 07:55 PM - gap

Update: Red Hat have disabled support for various codecs in Fedora:

https://src.fedoraproject.org/rpms/mesa/c/94ef544b3f2125912dfbff4c6ef373fe49806b52 ?branch=rawhide

https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/PYUYUCM3RGTTN4Q3QZIB4VUQFI77GES5X/

To quote David Airlie from Red Hat:

The patent licensing around H264/H265 is such that providing this could leave Red Hat and other Fedora distributors exposed to legal problems.

#4 - 2022-12-13 02:44 PM - GNUtoo

- Status changed from unconfirmed to not-a-bug

The question here is if Parabola wants to actively try to avoid software patents or not. So this should rather be a project discussion than a bug report.
A better place for that might be the Parabola mailing lists.

Then if we choose to try to avoid software patents, the next question should be how to decide which ones to avoid.

We can't avoid them all, and trying to learn about them is also punished by the law in the USA because if you infringe a patent you know about, it
doubles the (financial) penalty.

So mentioning specific patents in a discussion is not a good idea (I'm also closing that bug so people living in the US don't see the references that
could lead to knowing about specific patents).

And if people are sued anyway, there is still the option to ask help from the community in the form of donations (for funding the lawsuits) and also ask
for help in doing research to invalidate the patents the people being sued are accused of infringing.

Denis.
#5 - 2022-12-13 02:45 PM - GNUtoo

Also note that Parabola is probably not affected by these patents because we don't use nonfree firmwares, so most video decoding acceleration
hardware will probably not work.
